#! /usr/local/bin/wish -f

# file: $ISIP_DISPLAY_SIGNAL/gui/src/globals.tcl
#
# this is the file to set up global environment variables
#

# declare global parameters and set values
#

# set the main display area
#
global p
set p ".main"

# set the word alignment window
#
global ww
set ww ".align"

# set the warning window
#
global wrn
set wrn ".warn"

# set the call selection window
#
global f
set f ".filesel"

# set the autofill window
#
global e
set e ".opt"

# title for the tool
#
global DISPLAY_SIGNAL_title
set DISPLAY_SIGNAL_title "Display Signal"

# global environment
#
global env

# separater strings
#
global dir_sep
set dir_sep "\/"
global env_sep
set env_sep "\$"

# define the general help files
#
global help_dir
set help_dir "$env(ISIP_DISPLAY_SIGNAL)/doc"
global help_default_file
set help_default_file "$help_dir/help_default.text"
global help_keybind_file
set help_keybind_file "$help_dir/help_keybind.text"
global help_transguide_file
set help_transguide_file "$help_dir/help_transguide.text"
global help_directions_file
set help_directions_file "$help_dir/help_directions.text"

# define the logos and images
#
global image_dir
set image_dir "$env(ISIP_DISPLAY_SIGNAL)/gui/images"
global isip_logo
set isip_logo "$image_dir/isip_logo.gif"
global prev_button
set prev_button "$image_dir/prev.xbm"
global prev_flag
set prev_flag 0
global next_button
set next_button "$image_dir/next.xbm"
global next_flag
set next_flag 0

# set some colors
#
global grey_col
set grey_col grey
global fg_col
set fg_col black
global bg_col
set bg_col white

# set some fonts
#
global font_0
global font_1
global font_2
global font_3

set font_0 "fixed"
set font_1 "*-times-medium-r-normal--*-170-*"
set font_2 "*-times-medium-r-normal--*-160-*"
set font_3 "*-times-medium-r-normal--*-80-*"

# define the utterance id variables
#
global chlabel
set chlabel "U"

# define the next and previous synchronization flags
#
global bgflag
set bgflag 0
global saveflag
set saveflag 0
global commentflag
set commentflag 0

# define verification flag
#
global verify_flag
set verify_flag 0

# define reload data flag
#
global reload_flag
set reload_flag 0

# define file selection flag
#
global filesel_flag
set filesel_flag 0

# define config procedure visited flag
#
global config_flag
set config_flag 0

# define transcription visited flag
#
global trans_flag
set trans_flag 0

# define transcription file parameters
#
global log_separator
set log_separator ";;;;;;;;;;"

global start_tag
set start_tag "start{"

global end_tag
set end_tag "}end"

global unknown_tag
set unknown_tag "< unknown >"

# parameters for time display
#
global wstart
set wstart 0.000000
global wend
set wend 0.000000
global bstart
set bstart $wstart
global bend
set bend $wend
global bdur
set bdur [expr $bend - $bstart]
global time
set time 0.000000

# parameters for previous utterance
#
global prev_ind
set prev_ind ""
global putt_start
set putt_start 0.000000
global putt_end
set putt_end 0.0000
global putt_trans
set putt_trans ""

# parameters for current utterance
#
global curr_ind
set curr_ind 0
global log_ind
set log_ind 0
global curr_word_ind
set curr_word_ind 0
global cutt_start
set cutt_start 0.000000
global cutt_end
set cutt_end 0.000000
global cutt_trans
set cutt_trans ""
global cutt_id
set cutt_id ""
global putt_audio
set putt_audio ""
global cutt_audio
set cutt_audio ""
global nutt_audio
set nutt_audio ""
global cutt_call
set cutt_call ""

# parameters for next utterance
#
global next_ind
set next_ind 1
global nutt_start
set nutt_start 0.000000
global nutt_end
set nutt_end 0.000000
global nutt_trans
set nutt_trans ""

# define the configuration parameters
#
global audio_list_file
set audio_list_file ""

global audio_file
set audio_file ""

global lexicon_file

# set the config parameters by default to the example directory
#
global example_dir
set example_dir [pwd]

global config_file
set config_file "$example_dir/isip01/isip01.list"

# define other global parameters
#
global loadflag
set loadflag 0

global quitflag
set quitflag 0

global flag_minor
set flag_minor 0

global pause_time
set pause_time 0.1

global DISPLAY_SIGNAL_id
set DISPLAY_SIGNAL_id ""

global conv_id
set conv_id "ISIP-ms98-"

global default_data_dir
set default_data_dir $example_dir

# autosave parameters
#
global time_updated
set time_updated 0

global autosave_time
set autosave_time 300

global host
set host [exec uname -n | cut -d. -f1]

global byte_swap
if {[exec uname -p] == "i386"} {
    set byte_swap 1
} else {
    set byte_swap 0
}

# autosave files
#
global autosave_dir
global auto_t0_file
global auto_w0_file
set auto_t0_file ""
set auto_w0_file ""

# define the audio play system params
#
global audio_play_device
set audio_play_device "x86"
global audio_server
set audio_server "speaker"

# define the audio-related variables
#
global audiolist
set audiolist {}
global current_channel
set current_channel 0
global num_channels
set num_channels 1
global disp_chan
set disp_chan 0
global sample_frequency
set sample_frequency 8000.0
global sample_num_bytes
set sample_num_bytes 2
global snr
set snr 0
global volume_ch0
set volume_ch0 1
global volume_ch1
set volume_ch1 1
global play_mode
set play_mode 0
global amplitude_gain
set amplitude_gain 1
global prev_amplitude_gain
set prev_amplitude_gain 1

# define the graphics window parameters
#
global current_time
set current_time 0
global maximum_time
set maximum_time 300
global zoom_min
set zoom_min 0.002

global window_start
set window_start 0.0
global window_end
set window_end $zoom_min
global window_duration
set window_duration $zoom_min
global window_maximum
set window_maximum 5.0

global bracket_start
set bracket_start $window_start
global bracket_end
set bracket_end $window_end
global bracket_duration
set bracket_duration $window_duration

global bracket_signal_start_line
global bracket_signal_end_line
global bracket_energy_start_line
global bracket_energy_end_line
global bracket_spec_start_line
global bracket_spec_end_line

# define plotting varibales for the energy plot widget
#
global window_len
set window_len 0.006
global frame_len
set frame_len 0.01
global snr_flag
set snr_flag "Off" 
global preemph_coeff
set preemph_coeff 0.97
global preemph_flag
set preemph_flag 1
global preemphasis_display
set preemphasis_display "On"
global window_option
set window_option "hamming"
global window_size
set window_size 25
global rms_factor
set rms_factor 1.0
global energy_ht
set energy_ht 65
global signal_ht
set signal_ht 195

# define plotting varibales for the spectrogram widget
#
global contrast_d
set contrast_d 3.5
global prev_contrast_d
set prev_contrast_d 3.5
global brightness_d
set brightness_d 1000
global prev_brightness_d
set prev_brightness_d 1000
global fftlen_d
set fftlen_d 128
global spec_ht
set spec_ht 130
global spec_enable
set spec_enable "on"

# define the plotting-related variables
#
global plot_width
set plot_width 480
global tscale_frame
set tscale_frame 0.01
global tscale_ht_ultra
set tscale_ht_ultra 9
global tscale_ht_super
set tscale_ht_super 7.5
global tscale_ht_major
set tscale_ht_major 5
global tscale_ht_minor
set tscale_ht_minor 2.5
global tscale_sep
set tscale_sep $tscale_frame
global ultra
set ultra 10
global super
set super 1
global major
set major 0.1
global sig_plot_0
global energy_plot_0
global spec_plot_0

# define the audio executable programs
#
global play_prog_dat
set play_prog_dat "$env(ISIP_DISPLAY_SIGNAL)/bin/$env(ISIP_BINARY)/isip_naplay"
global play_prog_ncd
set play_prog_ncd "auplay"
global play_prog_x86
set play_prog_x86 "audioplay"
global play_prog_sparc
set play_prog_sparc "audioplay"
global excise_signal_prog
set excise_signal_prog "$env(ISIP_DISPLAY_SIGNAL)/bin/$env(ISIP_BINARY)/excise_signal"
global snr_calculation_prog
set snr_calculation_exe "$env(ISIP_DISPLAY_SIGNAL)/bin/$env(ISIP_BINARY)/snr_calculator"

#
# end of file
