#! /usr/local/bin/wish -f

# file: $ISIP_DISPLAY_SIGNAL/gui/src/list.tcl
#
# procedures for managing the utterance lists and the listbox widget
# containing the list of utterances
#

# list of procedures:
#
#  fill_list_proc {}
#  reorder_proc {}
#

# procedure: fill_list_proc
#
# arguments: none
#
# return: none
#
# set up the listbox with node ids for the given channel
#
proc fill_list_proc {} {

    # declare global variables
    #
    global current_time
    
    global audiolist

    global p

    # clear the listbox
    #
    $p.list delete 0 end

    # get the label headings
    #
    foreach item $audiolist {

	set ind [string last "/" $item]
	set ind [expr $ind + 1]
	set value [string range $item $ind end]
	$p.list insert end $value
    }
}

# procedure: reorder_proc
#
# arguments: none
#
# return: none
#
# procedure to reorder the utterance list and update the listbox
#
proc reorder_proc {} {

    # update the listbox
    #
    fill_list_proc
}

#
# end of file
