#! /usr/local/bin/wish -f
#
# file: snr.tcl
#

# procedure: snr_proc
#
# arguments: none
#
# return: snr computation value
#
# procedure to cmopute the signal to noise ratio of a signal
#
proc snr_proc {} {

    # declare globals
    #
    global num_channels
    global sample_frequency
    global audio_file
    global snr_calculation_exe

    # compute the SNR
    #
    set snr_run "$snr_calculation_exe -num_chans $num_channels \
	    -sf $sample_frequency -swap_bytes -use_hamming \
	    -use_pre_emph -input $audio_file"
    
    # start a pipe for the snr
    #
    set snr_pipe [open |$snr_run "r"]
    
    # read from the file
    #
    set value_d [gets $snr_pipe]
    
    # close the pipe
    #
    close $snr_pipe

    # format the output
    #
    set value_d "$value_d dB"

    # return the output
    #
    return $value_d
}

# 
# end of file
