/* $Id: names.c,v 2.23 1995/06/01 16:16:10 bst Exp $
 *
 * Copyright 1991 Brent Townshend (bst%tt@cam.org)
 * Townshend Computer Tools
 * Montreal, Quebec
 *
 * Sun Dec 8 15:30:50 EST 1991
 *
 * Revision History: $Log: names.c,v $
 * Revision 2.23  1995/06/01  16:16:10  bst
 * Added missing comma
 *
 * Revision 2.22  1995/01/20  17:10:37  bst
 * Added Filling Pause name.
 *
 * Revision 2.21  1993/11/10  00:32:54  bst
 * Added "Control" to NAencodingNames[].
 *
 * Revision 2.20  1993/10/04  02:04:59  bst
 * Made char * arrays const.
 *
 * Revision 2.19  1993/06/07  14:21:37  bst
 * Added NA_ERR_NODATA name.
 *
 * Revision 2.18  1993/05/26  13:29:49  bst
 * Added _NAstateNames[].
 *
 * Revision 2.17  1992/12/17  04:45:04  bst
 * Added DSPRead, DSPWrite requests, replies.
 *
 * Revision 2.16  1992/11/04  04:35:39  bst
 * Added NA_ERR_BADPGM.
 *
 * Revision 2.15  1992/10/04  17:20:21  bst
 * Added names for NAGetServerVersion().
 *
 * Revision 2.14  1992/07/15  23:46:56  bst
 * Move _NAsioModeNames to ../libdatlink/constants.c
 *
 * Revision 2.13  1992/07/13  05:22:06  bst
 * Added CLOSE request and reply.
 * Swapped AES/EBU master and slave names.
 *
 * Revision 2.12  1992/07/06  23:40:32  bst
 * Added "AES/EBU-Master" to _NAsioModeNames[].
 *
 * Revision 2.11  1992/07/05  03:09:56  bst
 * Added _NAsioModeNames[].
 *
 * Revision 2.10  1992/05/17  20:32:50  bst
 * Added GetDSPPgm, SetDSPPgm.
 *
 * Revision 2.9  1992/05/10  19:03:46  bst
 * Added _NAencodingNames
 *
 * Revision 2.8  1992/05/01  17:06:21  bst
 * Added SerialRead/SerialWrite messages.
 *
 * Revision 2.7  1992/02/15  19:49:26  bst
 * Added Server request
 *
 * Revision 2.6  1992/01/28  05:49:00  bst
 * Added FilterResonse, GetFilter
 *
 * Revision 2.5  1992/01/18  04:07:09  bst
 * Added 'Bad Sample Rate' error.
 *
 * Revision 2.4  1992/01/10  04:07:17  bst
 * Added CloseData request.
 *
 * Revision 2.3  1991/12/16  05:23:58  bst
 * Added DRAIN request.
 *
 * Revision 2.2  1991/12/16  00:43:09  bst
 * Added "Pause" request.
 *
 * Revision 2.1  1991/12/08  21:31:39  bst
 * Network version
 *
 * Revision 1.1  1991/12/08  20:32:14  bst
 * Initial revision
 *
 */
#include "NAlibint.h"

const char *_NAerrorNames[] =   { "Access",
				  "BadRequest",
				  "BadName",
				  "Bad Sample Rate",
				  "Bad DSP Program",
				  "No Data"
			      };
const char *_NAreplyNames[] =   { "DataSocket",
				  "RemoteDeviceList",
				  "RemoteOpsList",
				  "InfoReply",
				  "FilterResponse",
				  "SerialRead",
				  "GetDSPPgm",
				  "Close",
				  "Version",
				  "DSPRead"
			      };
const char *_NAeventNames[] =   { "Snapshot",
				  "ConfigureNotify",
				  "ConfigureRequest",
				  "RemoteDone"
			      };
const char *_NArequestNames[] = { "OpenData",
				  "ListRemoteDevices",
				  "ListRemoteOps",
				  "GetInfo",
				  "GetFilter",
				  "SetInfo",
				  "GetSnap",
				  "Flush",
				  "Begin",
				  "SetFilter",
				  "SelectInput",
				  "SetPollTime",
				  "RemoteExec",
				  "Pause",
				  "Drain",
				  "CloseData",
				  "Server",
				  "SerialWrite",
				  "SerialRead",
				  "SetDSPPgm",
				  "GetDSPPgm",
				  "Close",
				  "GetVersion",
				  "DSPRead",
				  "DSPWrite"
			      };
const char *_NAxfrErrorNames[] = {"No Error",
				  "Underrun",
				  "Overrun",
				  "Dropped Lock",
				  "DSP Error",
				  "Input Rate Changed"
			      };
const char *_NAencodingNames[] = {"Linear",
				  "IEEE",
				  "u-Law",
				  "A-Law",
				  "Control"
			      };
const char *_NAstateNames[] = { "Inactive",
				"Active Pause",
				"Active",
				"Filling",
				"Draining",
				"Draining Pause",
				"Filling Pause"
			    };
