/* $Id: formats.h,v 1.3 1993/04/22 03:23:28 bst Exp $
 *
 * Copyright 1992 Brent Townshend (bst%tt@cam.org)
 * Townshend Computer Tools
 * Montreal, Quebec
 *
 * Sun Feb 16 23:44:42 EST 1992
 *
 * Revision History: $Log: formats.h,v $
 * Revision 1.3  1993/04/22  03:23:28  bst
 * Moved *_construct() declarations here from sampfile.c
 *
 * Revision 1.2  1992/12/28  22:22:46  bst
 * Added SPW 3.0 support.
 *
 * Revision 1.1  1992/02/17  04:45:04  bst
 * Initial revision
 *
 */
typedef enum { RAW=0, NATIVE, SWAP, AIFF, AIFC, SPPACK, SPW2,
#ifdef ESPSFILES
	       ESPS,
#endif
	       SPW3, LASTFORMAT
	       } FileFormats;
extern char *fmtnames[];

/* Constructors for each file type - called by SampFileSetFormat() */
void native_construct P((SampFile *this));
void swap_construct P((SampFile *this));
void sppack_construct P((SampFile *this));
void SPW_construct P((SampFile *this));
void SPW3_construct P((SampFile *this));
void AIFC_construct P((SampFile *this));
#ifdef ESPSFILES
void ESPS_construct P((SampFile *this));
#endif
