/* $Id: playrec.h,v 1.1 1998/04/16 18:21:31 hamaker Exp $
 *
 * Copyright 1991 Brent Townshend (bst%tt@cam.org)
 * Townshend Computer Tools
 * Montreal, Quebec
 *
 * Mon Aug 5 02:31:19 EDT 1991
 *
 * Revision History: $Log: playrec.h,v $
 * Revision History: Revision 1.1  1998/04/16 18:21:31  hamaker
 * Revision History: Initial revision
 * Revision History:
 * Revision 2.13  1993/10/04  15:39:22  bst
 * Removed extern declaratoin.
 *
 * Revision 2.12  1993/06/23  20:38:22  bst
 * Changed 'long' to 'int32'
 *
 * Revision 2.11  1993/05/26  13:31:17  bst
 * Added _NAxfrErrorNames[].
 *
 * Revision 2.10  1993/04/12  02:29:30  bst
 * Use long when 32-bit integers required.
 *
 * Revision 2.9  1993/03/01  04:08:56  bst
 * Fixed use of sys vs. local includes.
 *
 * Revision 2.8  1992/12/31  05:03:17  bst
 * Added return value to Execute().
 *
 * Revision 2.7  1992/08/18  01:13:44  bst
 * Addec cleanup().
 *
 * Revision 2.6  1992/04/09  17:59:32  bst
 * Changed strings.h to string.h
 *
 * Revision 2.5  1992/02/17  04:52:09  bst
 * Added VerifyCUBits()
 *
 * Revision 2.4  1992/02/12  04:33:23  bst
 * Remove include of errno.h, it's in sysdefs.h now.
 *
 * Revision 2.3  1992/01/27  06:22:15  bst
 * Changed ParseCmdLine() prototype.
 *
 * Revision 2.2  1992/01/22  21:17:04  bst
 * Use P() macro for prototypes.
 * Removed include of unistd.h
 *
 * Revision 2.1  1991/12/08  21:08:19  bst
 * Network version.
 *
 * Revision 1.8  1991/11/11  04:14:45  bst
 * ParseCmdLine now takes a pointer to argc.
 * Debug variable no longer needed.
 *
 * Revision 1.7  1991/11/08  06:02:09  bst
 * Added CmdSetDefaults,ParseCmdLine,Execute
 * Added ptime()
 *
 * Revision 1.6  1991/11/04  01:45:17  bst
 * Added declarations for new routines.
 *
 * Revision 1.5  1991/10/17  21:15:02  bst
 * Removed unneeded declaration of bzero().
 *
 * Revision 1.4  1991/09/12  03:00:34  bst
 * Fixed handling of stdlib.h and unistd.h
 * Added prototype for bzero().
 *
 * Revision 1.3  1991/08/23  23:51:41  bst
 * Modified function declarations to work with non-ANSI compilers
 *
 * Revision 1.2  1991/08/05  19:20:38  bst
 * Minor.
 *
 * Revision 1.1  1991/08/05  06:32:45  bst
 * Initial revision
 */
#include <stdio.h>
#include <string.h>
#include "netaudio.h"
#include "sysdefs.h"
#include "sampfile.h"
#include "defaults.h"
#include "debug.h"
#include "params.h"

int out_mode;
extern int Execute P((Params *cmd,SampFile *file));
extern void CmdSetDefaults P((Params *cmd));
extern void ParseCmdLine P((int argc,char *argv[],Params *cmd));
extern int32 transfer P((SampFile *file,NAport *dt,int32 nsamples,
			 int32 *sampsBeforeStart));
extern void ReadCUBits P((NAinfosect *sect,const char *cfilename));
extern void SetDefaultCUBits P((NAinfosect *sect,int consumer, double DATsrate));
extern void VerifyCUBits P((NAinfosect *sect,int consumer, double DATsrate));
extern void StoreCUBits P((NAinfosect *sect,const char *cfilename));
extern void cleanup P((int status));
#ifdef PTIME
extern void ptime P((const char *s));
#endif
